if (!defined &_SYS_TERMIOS_H_) {
    eval 'sub _SYS_TERMIOS_H_ {1;}';
    eval 'sub VEOF {0;}';
    eval 'sub VEOL {1;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub VEOL2 {2;}';
    }
    eval 'sub VERASE {3;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub VWERASE {4;}';
    }
    eval 'sub VKILL {5;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub VREPRINT {6;}';
    }
    eval 'sub VINTR {8;}';
    eval 'sub VQUIT {9;}';
    eval 'sub VSUSP {10;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub VDSUSP {11;}';
    }
    eval 'sub VSTART {12;}';
    eval 'sub VSTOP {13;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub VLNEXT {14;}';
	eval 'sub VDISCARD {15;}';
    }
    eval 'sub VMIN {16;}';
    eval 'sub VTIME {17;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub VSTATUS {18;}';
    }
    eval 'sub NCCS {20;}';
    eval 'sub _POSIX_VDISABLE {(ord(\'\\377\'));}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub CCEQ {
	    local($val, $c) = @_;
	    eval "($c == $val ? $val !=  &_POSIX_VDISABLE : 0)";
	}';
    }
    eval 'sub IGNBRK {0x00000001;}';
    eval 'sub BRKINT {0x00000002;}';
    eval 'sub IGNPAR {0x00000004;}';
    eval 'sub PARMRK {0x00000008;}';
    eval 'sub INPCK {0x00000010;}';
    eval 'sub ISTRIP {0x00000020;}';
    eval 'sub INLCR {0x00000040;}';
    eval 'sub IGNCR {0x00000080;}';
    eval 'sub ICRNL {0x00000100;}';
    eval 'sub IXON {0x00000200;}';
    eval 'sub IXOFF {0x00000400;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub IXANY {0x00000800;}';
	eval 'sub IMAXBEL {0x00002000;}';
    }
    eval 'sub OPOST {0x00000001;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub ONLCR {0x00000002;}';
	eval 'sub OXTABS {0x00000004;}';
	eval 'sub ONOEOT {0x00000008;}';
    }
    if (!defined &_POSIX_SOURCE) {
	eval 'sub CIGNORE {0x00000001;}';
    }
    eval 'sub CSIZE {0x00000300;}';
    eval 'sub CS5 {0x00000000;}';
    eval 'sub CS6 {0x00000100;}';
    eval 'sub CS7 {0x00000200;}';
    eval 'sub CS8 {0x00000300;}';
    eval 'sub CSTOPB {0x00000400;}';
    eval 'sub CREAD {0x00000800;}';
    eval 'sub PARENB {0x00001000;}';
    eval 'sub PARODD {0x00002000;}';
    eval 'sub HUPCL {0x00004000;}';
    eval 'sub CLOCAL {0x00008000;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub CRTSCTS {0x00010000;}';
	eval 'sub CRTS_IFLOW { &CRTSCTS;}';
	eval 'sub CCTS_OFLOW { &CRTSCTS;}';
	eval 'sub MDMBUF {0x00100000;}';
	eval 'sub CHWFLOW {( &MDMBUF| &CRTSCTS);}';
    }
    if (!defined &_POSIX_SOURCE) {
	eval 'sub ECHOKE {0x00000001;}';
    }
    eval 'sub ECHOE {0x00000002;}';
    eval 'sub ECHOK {0x00000004;}';
    eval 'sub ECHO {0x00000008;}';
    eval 'sub ECHONL {0x00000010;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub ECHOPRT {0x00000020;}';
	eval 'sub ECHOCTL {0x00000040;}';
    }
    eval 'sub ISIG {0x00000080;}';
    eval 'sub ICANON {0x00000100;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub ALTWERASE {0x00000200;}';
    }
    eval 'sub IEXTEN {0x00000400;}';
    eval 'sub EXTPROC {0x00000800;}';
    eval 'sub TOSTOP {0x00400000;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub FLUSHO {0x00800000;}';
	eval 'sub NOKERNINFO {0x02000000;}';
	eval 'sub PENDIN {0x20000000;}';
    }
    eval 'sub NOFLSH {0x80000000;}';
    eval 'sub TCSANOW {0;}';
    eval 'sub TCSADRAIN {1;}';
    eval 'sub TCSAFLUSH {2;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub TCSASOFT {0x10;}';
    }
    eval 'sub B0 {0;}';
    eval 'sub B50 {50;}';
    eval 'sub B75 {75;}';
    eval 'sub B110 {110;}';
    eval 'sub B134 {134;}';
    eval 'sub B150 {150;}';
    eval 'sub B200 {200;}';
    eval 'sub B300 {300;}';
    eval 'sub B600 {600;}';
    eval 'sub B1200 {1200;}';
    eval 'sub B1800 {1800;}';
    eval 'sub B2400 {2400;}';
    eval 'sub B4800 {4800;}';
    eval 'sub B9600 {9600;}';
    eval 'sub B19200 {19200;}';
    eval 'sub B38400 {38400;}';
    if (!defined &_POSIX_SOURCE) {
	eval 'sub B7200 {7200;}';
	eval 'sub B14400 {14400;}';
	eval 'sub B28800 {28800;}';
	eval 'sub B57600 {57600;}';
	eval 'sub B76800 {76800;}';
	eval 'sub B115200 {115200;}';
	eval 'sub B230400 {230400;}';
	eval 'sub EXTA {19200;}';
	eval 'sub EXTB {38400;}';
    }
    if (!defined &_KERNEL) {
	eval 'sub TCIFLUSH {1;}';
	eval 'sub TCOFLUSH {2;}';
	eval 'sub TCIOFLUSH {3;}';
	eval 'sub TCOOFF {1;}';
	eval 'sub TCOON {2;}';
	eval 'sub TCIOFF {3;}';
	eval 'sub TCION {4;}';
	require 'sys/cdefs.ph';
	if (!defined &_POSIX_SOURCE) {
	}
    }
    if (!defined &_POSIX_SOURCE) {
	require 'sys/ttycom.ph';
    }
}
if (!defined &_POSIX_SOURCE) {
    require 'sys/ttydefaults.ph';
}
1;
